Bug 434792 - Add HP DL580G5 to bfsort whitelist
Add HP DL580G5 to bfsort whitelist
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
i386 Linux
high Severity high
: rc
: ---
Assigned To: Tony Camuso
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 10:06 EST by Tony Camuso
Modified: 2008-05-21 11:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:10:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add HP DL580 G5 to bfsort whitelist (760 bytes, patch)
2008-03-05 17:34 EST, Tony Camuso
no flags Details | Diff

  None (edit)
Description Tony Camuso 2008-02-25 10:06:08 EST
Description of problem:

The HP DL580 G5 PCI architecture is designed for breadth-first sorting.
Specifically, the onboard controller only appears as controller-zero when the
kernel sorts breadth-first.

The controller detect order is critical to work properly with our OS installer
and storage management tools. If the controller detect order changes from
RHEL3->RHEL4, we run the risk of dataloss.

The attached patch puts the DL580 G5 on the pci=bfsort whitelist in the 2.6.9
kernel. This allows us to use this hardware in production.
Comment 1 Tony Camuso 2008-02-25 10:07:34 EST
Patch submitted to rhkernel-list


Comment 2 RHEL Product and Program Management 2008-02-25 10:29:06 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Tony Camuso 2008-03-05 17:34:53 EST
Created attachment 296954 [details]
Add HP DL580 G5 to bfsort whitelist

This is the patch that was submitted to the RHKL.
Comment 4 Don Zickus 2008-03-12 15:41:46 EDT
in kernel-$NEW_VER
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 5 Don Zickus 2008-03-12 16:00:26 EDT
in kernel-2.6.18-85.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 Alan Cox 2008-05-02 09:52:00 EDT
Already shiping systems should never have their probe order changed, we risk
breaking existing customers and that is more important than whether the odd
label lines up on the case.
Comment 8 Alan Cox 2008-05-02 09:55:25 EDT
(and QA please verify that every device that is say eth0 in RHEL 5.1 from a new
install is the same in RHEL52. from a new install, if not please fail the QA)
Comment 9 Ronald Pacheco 2008-05-09 16:20:37 EDT
Tony,

Has HP tested this?
Comment 11 errata-xmlrpc 2008-05-21 11:10:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.